package com.steering.pss.qcm.model;

/**
 * 数据库表COM_BASE_SPLINE_STD_SPEC所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2018-07-01
 */
@SuppressWarnings("serial")
public class ComBaseSplineStdSpecEntity implements java.io.Serializable {
    /**
     * 试验尺寸代码
     */
    private String itemCodeS = "";
    /**
     * 适用外径下限值
     */
    private String minD = "";
    /**
     * 适用外径上限值
     */
    private String maxD = "";
    /**
     * 适用壁厚下限值
     */
    private String minH = "";
    /**
     * 适用壁厚上限值
     */
    private String maxH = "";
    /**
     * 适用外径下限值符号
     */
    private String minDSign = "";
    /**
     * 适用外径上限值符号
     */
    private String maxDSign = "";
    /**
     * 适用壁厚下限值符号
     */
    private String minHSign = "";
    /**
     * 适用壁厚上限值符号
     */
    private String maxHSign = "";
    /**
     * 主键
     */
    private String id = "";
    /**
     * 序号
     */
    private String seq = "";

    /**
     * 试验尺寸代码
     * @return value
     */
    public String getItemCodeS() {
        return itemCodeS;
    }

    /**
     * 试验尺寸代码
     * @param itemCodeS value
     */
    public void setItemCodeS(String itemCodeS) {
        this.itemCodeS = itemCodeS;
    }

    /**
     * 适用外径下限值
     * @return value
     */
    public String getMinD() {
        return minD;
    }

    /**
     * 适用外径下限值
     * @param minD value
     */
    public void setMinD(String minD) {
        this.minD = minD;
    }

    /**
     * 适用外径上限值
     * @return value
     */
    public String getMaxD() {
        return maxD;
    }

    /**
     * 适用外径上限值
     * @param maxD value
     */
    public void setMaxD(String maxD) {
        this.maxD = maxD;
    }

    /**
     * 适用壁厚下限值
     * @return value
     */
    public String getMinH() {
        return minH;
    }

    /**
     * 适用壁厚下限值
     * @param minH value
     */
    public void setMinH(String minH) {
        this.minH = minH;
    }

    /**
     * 适用壁厚上限值
     * @return value
     */
    public String getMaxH() {
        return maxH;
    }

    /**
     * 适用壁厚上限值
     * @param maxH value
     */
    public void setMaxH(String maxH) {
        this.maxH = maxH;
    }

    /**
     * 适用外径下限值符号
     * @return value
     */
    public String getMinDSign() {
        return minDSign;
    }

    /**
     * 适用外径下限值符号
     * @param minDSign value
     */
    public void setMinDSign(String minDSign) {
        this.minDSign = minDSign;
    }

    /**
     * 适用外径上限值符号
     * @return value
     */
    public String getMaxDSign() {
        return maxDSign;
    }

    /**
     * 适用外径上限值符号
     * @param maxDSign value
     */
    public void setMaxDSign(String maxDSign) {
        this.maxDSign = maxDSign;
    }

    /**
     * 适用壁厚下限值符号
     * @return value
     */
    public String getMinHSign() {
        return minHSign;
    }

    /**
     * 适用壁厚下限值符号
     * @param minHSign value
     */
    public void setMinHSign(String minHSign) {
        this.minHSign = minHSign;
    }

    /**
     * 适用壁厚上限值符号
     * @return value
     */
    public String getMaxHSign() {
        return maxHSign;
    }

    /**
     * 适用壁厚上限值符号
     * @param maxHSign value
     */
    public void setMaxHSign(String maxHSign) {
        this.maxHSign = maxHSign;
    }

    /**
     * 主键
     * @return value
     */
    public String getId() {
        return id;
    }

    /**
     * 主键
     * @param id value
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 序号
     * @return value
     */
    public String getSeq() {
        return seq;
    }

    /**
     * 序号
     * @param seq value
     */
    public void setSeq(String seq) {
        this.seq = seq;
    }
}
